Kreslení Drát (Lomená čára)

From FreeCAD Documentation
(Redirected from Draft UndoLine/cs)
Jump to navigation Jump to search
This page is a translated version of the page Draft Wire and the translation is 5% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Line.svg Line
Next: Fillet Draft Fillet.svg Arrow-right.svg

Draft Wire.svg Kreslení Drát

Umístění Menu
Kreslení -> Drát
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
W I
Představen ve verzi
-
Viz také
Kreslení Přímka, Kreslení B-křivka

Description

Popis

Nástroj Drát vytváří lomenou čáru (sekvenci přímek z několika segmentů) v aktuální pracovní rovině. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů. Nástroj Drát se chová přesně stejně jako nástroj Přímka kromě toho, že nekončí po zadání dvou bodů.

The corners of a Draft Wire can be filleted (rounded) or chamfered by changing its ÚdajeFillet Radius or ÚdajeChamfer Size respectively. It is also possible to subdivide the edges of a Draft Wire by changing its ÚdajeSubdivisions property.

Draft Polyline example.jpg

Wire defined by multiple points

Create

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Použití

  1. Stiskněte tlačítko Draft Wire.png Drát nebo klávesy W potom I
  2. Klikněte na první bod ve 3D pohledu nebo zadejte jeho souřadnice
  3. Klikněte na další bod ve 3D pohledu nebo zadejte jeho souřadnice
  4. Stiskněte klávesu F nebo C nebo dvojklikněte na poslední bod pro ukončení nebo uzavření drátu. Je-li drát uzavřen, bude zároveň i povrchem i když se jeví jako drátový model.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Volby

  • Stiskněte klávesu F nebo tlačítko Draft FinishLine.png UkončitČáru pro ukončení drátu a ponechání jej otevřený
  • Stiskněte klávesu C nebo tlačítko Draft CloseLine.png UzavřítČáru nebo klikněte na první bod drátu. Tím se drát ukončí a uzavře se doplněním posledního (uzavíracího) segmentu mezi posledním a počátečním bodem.
  • Stisknutím klávesy X, Y nebo Z po zadání bodu zajistíte, že následující bod bude ležet na dané ose.
  • Pro ruční zadávání souřadnic jednoduše zadávejte čísla a mezi každou komponentou X, Y a Z stiskněte ENTER
  • Stiskněte klávesu R nebo klikněte/odklikněte zaklikávací políčko Relativní. Je-li nastaven relativní mód jsou souřadnice následujícího bodu relativní k předchozímu bodu. Je-li mód absolutní souřadnice jsou vztaženy k počátečnímu bodu (0,0,0).
  • Stiskněte klávesu T nebo klikněte/odklikněte zaklikávací políčko Pokračovat. Je-li nastaven pokračovací mód, nástroj Drát bude po ukončení drátu restartován a připraven ke kreslení dalšího drátu bez nutnosti znovu jej spouštět klikáním na tlačítko Drát.
  • Stiskněte při kreslení klávesu CTRL pro přichycení Vašeho bodu k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Stiskněte při kreslení klávesu SHIFT pro nastavení vazby Vašeho dalšího bodu vodorovně nebo svisle v relaci k předchozímu bodu.
  • Stiskněte klávesu W nebo stiskněte tlačítko Draft Wipe.png Smaž pro odstranění existujících segmentů a začněte křivku z posledního bodu.
  • Stiskněte klávesy CTRL+Z nebo tlačítko Draft UndoLine.png Undo k návratu na poslední bod.
  • Stiskněte klávesu I nebo tlačítko Filled aby se drát po jeho uzavření zobrazoval jako plocha. To jednoduše nastavuje Pohled->Vlastnost Drát na "Otevřené čáry" nebo "Drátový model", toto také může být snadno změněno později.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu Drát.

Join

Usage

  1. The end points of the Draft Lines and/or Draft Wires to be joined must be exactly coincident. If required first adjust points to ensure that this is the case.
  2. Select two or more Draft Lines and/or Draft Wires.
  3. There are several ways to invoke the command:
    • Press the Draft Wire.svg Draft Wire button.
    • Select the Drafting → Draft Wire.svg Polyline option from the menu.
    • Use the keyboard shortcut: P then L.

Notes

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.

Properties

See also: Property editor.

A Draft Wire object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • ÚdajeArea (Area): (read-only) specifies the area of the face of the wire. The value will be 0.0 if ÚdajeMake Face if false or the face cannot be created.
  • ÚdajeBase (Link)
  • ÚdajeChamfer Size (Length): specifies the length of the chamfers at the corners of the wire.
  • ÚdajeClosed (Bool): specifies if the wire is closed or not. If the wire is initially open this value is false, setting it to true will draw a line segment to close the wire. If the wire is initially closed this value is true, setting it to false will remove the last line segment and make the wire open.
  • ÚdajeEnd (VectorDistance): specifies the end point of the wire.
  • ÚdajeFillet Radius (Length): specifies the radius of the fillets at the corners of the wire.
  • ÚdajeLength (Length): (read-only) specifies the total length of the wire.
  • ÚdajeMake Face (Bool): specifies if the wire makes a face or not. If it is true a face is created, otherwise only the edges are considered part of the object. This property only works if ÚdajeClosed is true and if the wire does not self-intersect.
  • ÚdajePoints (VectorList): specifies the points of the wire in its local coordinate system.
  • ÚdajeStart (VectorDistance): specifies the start point of the wire.
  • ÚdajeSubdivisions (Integer): specifies the number of subdivisions for each edge of the wire. If it is 1 each edge will be divided into 2 equal segments. Subdivisions are applied before chamfers and fillets.
  • ÚdajeTool (Link)

View

Draft

  • PohledArrow Size (Length): specifies the size of the symbol displayed at the end of the wire.
  • PohledArrow Type (Enumeration): specifies the type of symbol displayed at the end of the wire, which can be Dot, Circle, Arrow, Tick or Tick-2.
  • PohledEnd Arrow (Bool): specifies whether to show a symbol at the end of the wire, so it can be used as an annotation line.
  • PohledPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the closed wire. This property only works if ÚdajeMake Face is true and if PohledDisplay Mode is Flat Lines.
  • PohledPattern Size (Float): specifies the size of the Draft Pattern.

Skriptování

Nástroj Drát může být využit v makrech a z konzoly Pythonu použitím následující funkce:

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Wire use the make_wire method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeWire method.

wire = make_wire(pointslist, closed=False, placement=None, face=None, support=None)
wire = make_wire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Vytvoří objekt Drát podle zadaného seznamu vektorů bodů nebo podle Drát (Part Wire).
  • Je-li closed True nebo jsou-li první a poslední bod identické, drát je uzavřen.
  • Je-li face (plocha) True (a drát je uzavřen), bude se drát jevit jako vyplněná plocha.
  • Je použita aktuálně nastavená tloušťka čáry a barva čáry.
  • Vrací nově vytvořený objekt.

Příklad:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

wire1 = Draft.make_wire([p1, p2, p3], closed=True)
wire2 = Draft.make_wire([p1, 2*p3, 1.3*p2], closed=True)
wire3 = Draft.make_wire([1.3*p3, p1, -1.7*p2], closed=True)

doc.recompute()


Arrow-left.svg Previous: Draft Line.svg Line
Next: Fillet Draft Fillet.svg Arrow-right.svg